Skip to content

Dailies

dailies


POST /api/v1/dailies/{measure}

Upsert Daily

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
measure path No
refreshed-token header No
token cookie string No

Request body

{
    "date": "2022-04-13",
    "value": 10.12
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "date": {
            "type": "string",
            "format": "date",
            "title": "Date"
        },
        "value": {
            "type": "number",
            "title": "Value"
        }
    },
    "type": "object",
    "required": [
        "date",
        "value"
    ],
    "title": "DailyCreate"
}

Responses

{
    "date": "2022-04-13",
    "value": null,
    "source": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "date": {
            "type": "string",
            "format": "date",
            "title": "Date"
        },
        "value": {
            "anyOf": [
                {
                    "type": "number"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Value"
        },
        "source": {
            "type": "string",
            "title": "Source"
        }
    },
    "type": "object",
    "required": [
        "date",
        "value",
        "source"
    ],
    "title": "DailyResponse"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/dailies/{measure}

List Dailies

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
end query string No
interpolate query boolean True No
measure path No
refreshed-token header No
start query string No
token cookie string No

Responses

[
    {
        "date": "2022-04-13",
        "value": null,
        "source": "string"
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/DailyResponse"
    },
    "title": "Response List Dailies Api V1 Dailies  Measure  Get"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/dailies/{measure}

Delete Daily

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
date query string No
measure path No
refreshed-token header No
token cookie string No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

DailyCreate

Name Type Description
date string(date)
value number

DailyMeasure

Type: string

DailyResponse

Name Type Description
date string(date)
source string
value

HTTPValidationError

Name Type Description
detail Array<ValidationError>

ValidationError

Name Type Description
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
HTTPBearer http bearer
HTTPBasic http basic